Asset Market Cap
curl --request GET \
--url https://api.amberdata.com/blockchains/analytics/assets/{arcId}/marketcap \
--header 'x-api-key: <api-key>'import requests
url = "https://api.amberdata.com/blockchains/analytics/assets/{arcId}/marketcap"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.amberdata.com/blockchains/analytics/assets/{arcId}/marketcap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"title": "OK",
"description": "Successful request",
"payload": {
"data": [
{
"arcId": "AMB:BTC000000000",
"arcName": "Bitcoin",
"arcSymbol": "BTC",
"circulatingSupply": 19594996.16066135,
"priceUSD": 46189.23640263,
"marketCap": 905077909973.43,
"timestamp": "2024-01-10T00:00:00.000Z"
}
],
"metadata": {}
}
}Analytics
Asset Market Cap
Retrieves the market cap timeseries for a specific asset.
GET
/
analytics
/
assets
/
{arcId}
/
marketcap
Asset Market Cap
Authorizations
Path Parameters
The arcId of the asset (e.g., AMB:BTC000000000). Use the associated information endpoint to retrieve the arcId.
Query Parameters
[Optional] Inclusive start date (default now() - 7 days).
[Optional] Exclusive end date (default today).
Was this page helpful?
⌘I